package rxjava;

import java.util.Scanner;
import java.util.stream.Stream;

/**
 * stream.Solution involving a SudokuVerifier, and some RxJava processing.
**/
class Solution {
	
	public static void main( String[] args ) {
		// Setup stream on System.in
		Stream<String> digitStream = new Scanner( System.in ).tokens();
		// Setup SudokuVerifier
		SudokuVerifier verifier = new SudokuVerifier(digitStream);
		// Verify and print out result
		System.out.println(verifier.isSolved());
	}
}
